﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using QuicksandCRUD;

namespace TestAPP.TestObjects
{
    public class Company : ResourceBase
    {
        [XmlIgnore]
        //Folder location for xml file store
        public override string RESOURCELOCATION { get { return @"Company\"; } }

        [XmlIgnore]
        //Used to determine what is retrived on a get all
        public override string RESOURCEKEY { get { return @"Company"; } }

        [XmlIgnore]
        //Used for serialization
        public override Type RESOURCETYPE { get { return typeof(Company); } }

        public string CompanyName { get; set; }

        public string Address { get; set; }

        public string City { get; set; }
        public string State { get; set; }
        public string Zip { get; set; }

        public new string ToString()
        {
            return CompanyName;
        }
    }
}