﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using QuicksandCRUD;

namespace TestAPP.TestObjects
{
    public class Event : ResourceBase
    {
        [XmlIgnore]
        //Folder location for xml file store
        public override string RESOURCELOCATION { get { return @"Event\"; } }

        [XmlIgnore]
        //Used to determine what is retrived on a get all
        public override string RESOURCEKEY { get { return @"Event"; } }

        [XmlIgnore]
        //Used for serialization
        public override Type RESOURCETYPE { get { return typeof(Event); } }

        public string EventName { get; set; }
        public DateTime Time { get; set; }
        public string EventDetails { get; set; }

        public new string ToString()
        {
            return EventName;
        }
    }
}