﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using QuicksandCRUD;

namespace TestAPP.TestObjects
{
    public class Person : ResourceBase
    {
        [XmlIgnore]
        //Folder location for xml file store
        public override string RESOURCELOCATION { get { return @"Person\"; } }

        [XmlIgnore]
        //Used to determine what is retrived on a get all
        public override string RESOURCEKEY { get { return @"Person"; } }

        [XmlIgnore]
        //Used for serialization
        public override Type RESOURCETYPE { get { return typeof(Person); } }

        public string FirstName { get; set; }
        public string MiddleName { get; set; }
        public string LastName { get; set; }

        public string Address { get; set; }

        public string City { get; set; }
        public string State { get; set; }
        public string Zip { get; set; }

        public new string ToString()
        {
            return LastName + ", " + FirstName;
        }
    }
}